function cubeMapFromImage(img)
    local faces = { img, img, img, img, img, img }
    return craft.cubeTexture(faces)
end

function createTerrainRamp()
    local width, height = 256, 16
    local img = image(width, height)
    setContext(img)
    for x = 0, width - 1 do
        local p = x / (width - 1)
        local c
        if p <= 0.22 then
            c = color(30, 47, 70, 255)
        elseif p <= 0.25 then
            local t = (p - 0.22) / (0.25 - 0.22)
            c = color(
            (1 - t) * 30 + t * 220,
            (1 - t) * 47 + t * 209,
            (1 - t) * 70 + t * 172,
            255
            )
        elseif p <= 0.3 then
            local t = (p - 0.25) / (0.3 - 0.25)
            c = color(
            (1 - t) * 220 + t * 27,
            (1 - t) * 209 + t * 85,
            (1 - t) * 172 + t * 33,
            255
            )
        elseif p <= 0.5 then
            c = color(27, 85, 33, 255)
        elseif p <= 0.8 then
            local t = (p - 0.5) / (0.8 - 0.5)
            c = color(
            (1 - t) * 27 + t * 156,
            (1 - t) * 85 + t * 93,
            (1 - t) * 33 + t * 62,
            255
            )
        elseif p <= 0.9 then
            local t = (p - 0.8) / (0.9 - 0.8)
            c = color(
            (1 - t) * 156 + t * 129,
            (1 - t) * 93 + t * 149,
            (1 - t) * 62 + t * 126,
            255
            )
        elseif p <= 0.99 then
            c = color(129, 149, 126, 255)
        else
            c = color(255, 255, 255, 255)
        end
        
        for y = 0, height - 1 do
            img:set(x, y, c)
        end
    end
    setContext()
    return img
end
